Bug 18696 - Getting "Server returned an error. The remote server returned an error: (500) Internal Server Error" when user deploy samples on build host having Xcode below 5.0
Summary: Getting "Server returned an error. The remote server returned an error: (500)...
Status: VERIFIED FIXED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: iOS ()
Version: 1.12.x
Hardware: PC Windows
: High normal
Target Milestone: ---
Assignee: Vinicius Jarina
URL:
: 18322 ()
Depends on:
Blocks:
 
Reported: 2014-04-01 08:36 UTC by narayanp
Modified: 2014-04-07 10:26 UTC (History)
5 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description narayanp 2014-04-01 08:36:07 UTC
Steps to reproduce this issue:
1. Open any iOS samples from mobile samples directory
ContentControl
StandardControl
AsyncAwait
BluetoothLEExplorer

2. Connect to build host which is having Xcode below version 5.0
3. Debug/run the application.

Actual Result: Application does not deploy to device and giving error "Server returned an error. The
remote server returned an error: (500) Internal Server Error" when build host is having Xcode version below 5.0. If user is trying to open the same samples using XS on build host then it does not build successfully because it does not read archive(Should be latest xcode version).

Expected Result: Application should deployed and launched on build host.

Supplement info:
Build Order: https://gist.github.com/saurabh360/5d48fc3d4a7707ffe677
Debug Output: https://gist.github.com/saurabh360/238438dccdcf1a7f5f82
mtbserver Log: https://gist.github.com/saurabh360/67be822ed7723fae3bd9

Environment details:
All Windows
VS 2013/2012
Xamarin for VS 1.12.249
X.iOS 7.2.1-63

Regression Status:
This behavior is happening with stable MTVS 1.10.47 and X.iOS 7.0.7.2. I am sure this was working fine with stable builds but not sure why the same behavior happening with stable as well.
Comment 1 Vinicius Jarina 2014-04-04 00:21:15 UTC
*** Bug 18322 has been marked as a duplicate of this bug. ***
Comment 5 narayanp 2014-04-07 04:39:36 UTC
I have checked behavior mentioned in this issue and Bug 18322 and observed now we are not getting error "Server returned an error. The remote server returned an error: (500) Internal Server Error". 

We are observing different error "The document "MainStoryboard.storyboard" could not be opened. Could not read archive. Failure Reason: This version of Xcode is too old to read this archive" for all samples mentioned in Issues.

Please let us know is it correct behavior now? Shall we not able to run these iOS application using VS on build host having Xcode below version 5.0?

Build Info:
Xamarin for VS 1.12.255
X.iOS 7.2.1-88
VS 2013/2012

Build Output: https://gist.github.com/saurabh360/037c846dfd8ec87eecc5
Debug Output: https://gist.github.com/saurabh360/9964b753332808717e2b
mtbserver log: https://gist.github.com/saurabh360/0306dd9d1feb505a9117
Comment 6 PJ 2014-04-07 10:25:33 UTC
Lal - this is perfect, yes. We want to see the specific error message instead of the generic (500) error.
Comment 7 narayanp 2014-04-07 10:26:46 UTC
I have checked these iOS samples on mac having Xcode below version 5.0 and I am getting same error message "Failure Reason: This version of Xcode is too old to read this archive. Recovery Suggestion: Please use a newer version of Xcode. Consider changing the document's Development Target to preserve compatibility.
ibtool exited with code 1"

Hence, changing the status to Verified.